| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
LPC17xx/40xx uC/OS-III blinky example
uCos-III examples

## Detailed Description

Example description
Welcome to the uC/OS-III basic blinky example. This example starts up uC/OS-III and creates 3 tasks. Tasks 1 and 2 blink different LEDs at different rates. Task 3 outputs a tick count to the debug channel (UART) every second.

To use the example, connect a serial cable to the board's RS232/UART port and start a terminal program (115.2K8N1) to monitor the port. The LEDs will also toggle based on the task execution.

Special connection requirements

- Embedded Artists' LPC1788 Developer's Kit:
- Embedded Artists' LPC4088 Developer's Kit:
  There are no special connection requirements for this example.
- LPCXpresso LPC1769:
  Need to connect with base board for using RS232/UART port.

Micrium uC/OS license

Build procedures:
LPC17xx/40xx example quickstart for Keil uVision4
LPC17xx/40xx example quickstart for IAR EWARM
LPC17xx/40xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Embedded Artists' LPC1788 Developer's Kit
Embedded Artists' LPC4088 Developer's Kit
NXP Xpresso LPC1769 board

Submitting LPCOpen issues:
Community support for LPCOpen

## Functions
void | OS_CSP_TickInit (void)
static void | prvSetupHardware (void)
static void | vLEDTask2 (void *p_arg)
static void | vUARTTask (void *p_arg)
static void | vLEDTask1 (void *p_arg)
int | main (void)
| main routine for uC/OS-III blinky example

## Variables
static OS_TCB | vLEDTask1TCB
static OS_TCB | vLEDTask2TCB
static OS_TCB | vUARTTaskTCB
static CPU_STK | vLEDTask1Stk [APP_CFG_TASK_START_STK_SIZE]
static CPU_STK | vLEDTask2Stk [APP_CFG_TASK_START_STK_SIZE]
static CPU_STK | vUARTTaskStk [APP_CFG_TASK_START_STK_SIZE]

## Function Documentation

int main | ( | void |  | ) |

main routine for uC/OS-III blinky example

Main program body.

Returns
  Function should not exit.

defined(CHIP_LPC175X_6X)

Definition at line 186 of file ucos_iii_blinky.c.

void OS_CSP_TickInit | ( | void |  | ) |

Definition at line 95 of file cpu_bsp.c.

static void prvSetupHardware | ( | void |  | ) |
| static

Definition at line 94 of file ucos_iii_blinky.c.

static void vLEDTask1 | ( | void * | p_arg | ) |
| static

Definition at line 133 of file ucos_iii_blinky.c.

static void vLEDTask2 | ( | void * | p_arg | ) |
| static

Definition at line 103 of file ucos_iii_blinky.c.

static void vUARTTask | ( | void * | p_arg | ) |
| static

Definition at line 118 of file ucos_iii_blinky.c.

## Variable Documentation

CPU_STK vLEDTask1Stk[APP_CFG_TASK_START_STK_SIZE]
| static

Definition at line 79 of file ucos_iii_blinky.c.

OS_TCB vLEDTask1TCB
| static

Definition at line 78 of file ucos_iii_blinky.c.

CPU_STK vLEDTask2Stk[APP_CFG_TASK_START_STK_SIZE]
| static

Definition at line 80 of file ucos_iii_blinky.c.

OS_TCB vLEDTask2TCB
| static

Definition at line 78 of file ucos_iii_blinky.c.

CPU_STK vUARTTaskStk[APP_CFG_TASK_START_STK_SIZE]
| static

Definition at line 81 of file ucos_iii_blinky.c.

OS_TCB vUARTTaskTCB
| static

Definition at line 78 of file ucos_iii_blinky.c.